### 3.1 Invoking `dejagnu` ¶

The `dejagnu` launcher is primarily designed to pass most options on to the scripts that it runs, but does process the `--help` and `--version` options entirely internally, while also recognizing the `--verbose` option.

    dejagnu <command> [options...]
    dejagnu --help
    dejagnu --version

Note that the command names may contain multiple words. In this case, the command can be given as separate arguments to `dejagnu` or combined with dashes (‘`-`’); both forms are equivalent.

All words of the command name must appear before any options. The search for a command terminates when an option is found.

Note that the first valid command found is used. A longer command name can be shadowed by a shorter command name that happens to be a prefix of the longer name, if the command name is given as multiple arguments. The equivalent form with the longer command name combined using dashes into a single argument will correctly refer to the otherwise shadowed command.

The `dejagnu` launcher can also be run using symbolic links, provided that the shell places the name under which `dejagnu` was invoked in `$0`. Any dash-separated words after “dejagnu” in the name of such a link are taken to be the leading words of a command name.

The `dejagnu` launcher supports alternate implementations depending upon available interpreters.

Options for the `dejagnu` launcher itself cannot be abbreviated, since the launcher has no way to know which abbreviations are unique and which would be ambiguous to the invoked command.

`--help`

  Print a help message instead of running a command.

`-V`, `--version`

  Print a version banner for the launcher itself including the version of DejaGnu. Any command given is ignored.

`-v`, `--verbose`

  Emit additional output describing the inner workings of the `dejagnu` launcher. This option is also passed on to the invoked command.

All arguments after the command name are passed to the invoked command.